net.minecraftforge.event.entity

## Class EntityEvent.EnteringChunk

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.EntityEvent.EnteringChunk

- Enclosing class:
    EntityEvent

      public static class EntityEvent.EnteringChunk
      extends EntityEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `newChunkX`
    `int` | `newChunkZ`
    `int` | `oldChunkX`
    `int` | `oldChunkZ`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityEvent.EnteringChunk(Entity entity, int newChunkX, int newChunkZ, int oldChunkX, int oldChunkZ)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### newChunkX

          public int newChunkX

    - #### newChunkZ

          public int newChunkZ

    - #### oldChunkX

          public int oldChunkX

    - #### oldChunkZ

          public int oldChunkZ

  - ### Constructor Detail

    - #### EntityEvent.EnteringChunk

          public EntityEvent.EnteringChunk(Entity entity,
                                   int newChunkX,
                                   int newChunkZ,
                                   int oldChunkX,
                                   int oldChunkZ)